# APACHE Module

## Overview

This module install and configure apache web server.

## Usage

Default configuration:

```puppet
include apache
```

Change configuration file settings:

```puppet
class { 'apache':
    servername      => 'www.nanonet.com',
    include         => [ 'Include sites-enabled/*.conf' ],
}
```

Create virtualhost:

```puppet
class { 'apache::virtualhost':
    filename        => 'example.com.conf',
    virtualhost     => {
        '*:80' => [
            'ServerAdmin admin@example.com',
            'DocumentRoot /var/www/example.com/public_html/',
            'ServerName example.com',
            'ServerAlias www.example.com',
            'ErrorLog /var/www/example.com/error.log',
            'CustomLog /var/www/example.com/access.log combined',
        ],
    },
}
```
