class apache::params {
  if $::osfamily == 'RedHat' {
    $package_name = [ 'httpd' ]
    $configfile = '/etc/httpd/conf/httpd.conf'
    $sitesdir = '/etc/httpd/'
    case $::operatingsystemrelease {
      /^6.*/: {
        $template = 'apache/httpd.conf.c.6.erb'
      }
      /^7.*/: {
        $template = 'apache/httpd.conf.c.7.erb'
      }
      default: {
        $template = 'apache/httpd.conf.c.6.erb'
      }
    }
  }
  elsif $::osfamily == 'Debian' {
    $package_name = [ 'apache2' ]
    $configfile = '/etc/apache2/apache2.conf'
    $sitesdir = '/etc/apache2/'
    case $::operatingsystemrelease {
      /^12.*/: {
        $template = 'apache/apache2.conf.u.12.erb'
      }
      /^14.*/: {
        $template = 'apache/apache2.conf.u.14.erb'
      }
      /^16.*/: {
        $template = 'apache/apache2.conf.u.16.erb'
      }
      default: {
        $template = 'apache/apache2.conf.u.12.erb'
      }
    }
  }
}

